#!/bin/sh

SWSIZE=$(grep MemTotal /proc/meminfo  | awk '{print int($2/1024)+1}')
if [ ${SWSIZE} -gt 2048 ]; then
	SWSIZE=2048
fi

set $(list-harddrives | grep -v fd0 | grep -v md[0-9] | awk '{printf $1 " "}')
HD1=$1
#HD2=$2

if [ -d /sys/firmware/efi ]; then
	efibootmgr -v | grep BootCurrent | cut -d' ' -f2 > /tmp/efi_booted
	echo "part /boot/efi --fstype efi --size=500 --asprimary --ondisk=${HD1}" >> /tmp/part-include
else
	echo "part biosboot --fstype=biosboot --size=2 --asprimary --ondisk=${HD1}" >> /tmp/part-include
fi

cat >> /tmp/part-include <<- EOF
part swap --size=${SWSIZE} --ondisk=${HD1}
part / --fstype xfs --mkfsoptions=-K --size=1 --grow --ondisk=${HD1}
EOF


