#!/bin/sh

SWSIZE=$(grep MemTotal /proc/meminfo  | awk '{print int($2/1024)+1}')
if [ ${SWSIZE} -gt 2048 ]; then
	SWSIZE=1024
fi

set $(list-harddrives | grep -v fd0 | grep -v md[0-9] | awk '{printf $1 " "}')
HD1=$1
HD2=$2

if [ -z "${HD2}" ]; then
        echo "Can not find second HDD"
        exit 1
fi

echo "clearpart --all --initlabel --disklabel=gpt" >> /tmp/part-include

if [ -d /sys/firmware/efi ]; then
	efibootmgr -v | grep BootCurrent | cut -d' ' -f2 > /tmp/efi_booted
	cat >> /tmp/part-include <<- EOF
	part raid.11 --size=512 --asprimary --ondisk=${HD1}
	part raid.21 --size=512 --asprimary --ondisk=${HD2}
	raid /boot/efi --fstype efi --level=RAID1 --device=md0 raid.11 raid.21
	EOF
else
	cat >> /tmp/part-include <<- EOF
	part biosboot --fstype=biosboot --asprimary --size=2 --ondisk=${HD1}
	part biosboot --fstype=biosboot --asprimary --size=2 --ondisk=${HD2}
	part raid.11 --size=512 --asprimary --ondisk=${HD1}
	part raid.21 --size=512 --asprimary --ondisk=${HD2}
	raid /boot --fstype ext4 --level=RAID1 --device=md0 raid.11 raid.21
	EOF
fi

cat >> /tmp/part-include <<- EOF
part raid.12 --size=${SWSIZE} --ondisk=${HD1}
part raid.22 --size=${SWSIZE} --ondisk=${HD2}
part raid.13 --size=1 --grow --ondisk=${HD1}
part raid.23 --size=1 --grow --ondisk=${HD2}
raid swap --fstype swap --level=RAID0 --device=md1 raid.12 raid.22
raid / --fstype xfs --mkfsoptions=-K --level=RAID0 --device=md2 raid.13 raid.23
bootloader --location=mbr --boot-drive=${HD1} --driveorder=${HD1},${HD2}
EOF
